OpenTTD Source: Data Fields

OpenTTD Source 13.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - t -

- t : TownScopeResolver
- tab : VehicleDetailsWindow
- table : AirportSpec , LeagueTableElement , SnowLine
- tabs : StringData
- tag : SaveLoadFormat
- TagNameFilter() : BuildObjectWindow , BuildRailStationWindow , NetworkContentListWindow , NewGRFWindow
- tags : ContentInfo
- tail : NWidgetContainer
- tar_file : ScriptInfo , ScriptScanner
- target : ListOrderChange , MpsMachine , StringIDMapping
- target_count : IndustryTypeBuildData
- targetairport : Aircraft
- Tcapacity : SmallArray< T, B, N >
- Tcls : CCountedPtr< Tcls_ >
- TCPConnecter() : TCPConnecter
- TCPServerConnecter() : TCPServerConnecter
- te : BuildVehicleWindow
- tempo : MidiFile::TempoChange
- TEMPO_RATE : MpsMachine
- tempo_ticks : MpsMachine
- TemporaryStorageArray() : TemporaryStorageArray< TYPE, SIZE >
- tempos : MidiFile
- terminals : AirportFTAClass
- terraform_frame_burst : ConstructionSettings
- terraform_limit : CompanyProperties
- terraform_per_64k_frames : ConstructionSettings
- terraform_tile_proc : TileTypeProcs
- terrain_type : DifficultySettings
- tex : OpenGLSprite
- TEX_REMAP : OpenGLSprite
- TEX_RGBA : OpenGLSprite
- text : AllowedSubtags , CargoSuffix , Goal , GRFText , Industry , LeagueTableElement , LoggedChange , NamePart , OskWindow , StoryPageElement , TextfileWindow::Line , TextfileWindow , Town
- text_btn : OskWindow
- text_colour : NWidgetCore
- text_dir : LanguagePackHeader
- text_lines : NWidgetPart
- text_offset : SignListWindow
- text_position : AboutWindow
- text_width : PerformanceLeagueWindow , ScriptLeagueWindow
- Textbuf() : Textbuf
- textref_stack : CommandCost , ErrorMessageData
- textref_stack_grffile : CommandCost , ErrorMessageData
- textref_stack_size : CommandCost , ErrorMessageData
- Texture : OpenGLSprite
- tgen_smoothness : GameCreationSettings
- this_month_production : Industry
- this_month_transported : Industry
- thread : LinkGraphJob
- threaded_saves : GUISettings
- ThrowError() : Squirrel
- ti : AirportTileTable , HangarTileTable
- Tick() : Aircraft , DisasterVehicle , EffectVehicle
- tick : LoggedAction , NewGRFProfiler::Call
- Tick() : RoadVehicle , Ship , Train , Vehicle , VideoDriver
- tick_counter : Vehicle
- tickdiv : MidiFile
- TICKER_STOP : StatusBarWindow
- ticks : VideoDriver_Null
- ticktime : MidiFile::DataBlock , MidiFile::TempoChange
- tile : AirportScopeResolver , AirportTileScopeResolver , BasePersistentStorageArray , CanalScopeResolver , DiagonalTileArea , FindDepotData , HouseScopeResolver , IndustriesScopeResolver , IndustryTileScopeResolver , ObjectScopeResolver , OrderBackup , OrthogonalTileArea , PBSTileInfo , RailTypeScopeResolver , RoadTypeScopeResolver , SpotData , StationScopeResolver , TileAndStation , TileInfo , TileIterator , Vehicle
- tile_count : StatueBuildSearchData
- tile_to_new_height : TerraformerState
- TileBelongsToIndustry() : Industry
- TileBelongsToRailStation() : BaseStation , Station , Waypoint
- tileh : TileInfo
- TileIterator() : TileIterator
- TileMayHaveSlopedTrack() : RoadVehicle , Train
- tiles_scope : AirportTileResolverObject
- time : IConsoleLine , LinkProperties , NewGRFProfiler::Call , Script_Suspend
- time_since_pickup : GoodsEntry
- time_until_rebuild : Town
- timeout : AISettingsWindow , GSConfigWindow , NewGRFParametersWindow
- timeout_timer : Window
- TIMER_INTERVAL : AboutWindow , NewsWindow
- times_longterm : FramerateWindow
- times_shortterm : FramerateWindow
- timestamps : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- timetable_arrival_departure : GUISettings
- timetable_duration : OrderList
- timetable_in_ticks : GUISettings
- timetable_start : BaseConsist
- tiny_step_height : VehicleGroupWindow
- Titem : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- title : FileToSaveLoad , HighScore , LeagueTable , SettingsPage , StoryPage
- to : LinkRefresher::Hop
- to_euro : CurrencySpec
- to_load_data : ScriptConfig
- ToDisplay() : UnitConversion
- ToggleFullscreen() : VideoDriver , VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_Dedicated , VideoDriver_Null , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_Win32Base
- ToggleSelectedState() : ClientNetworkContentSocketHandler
- ToggleSortOrder() : GUIList< T, F >
- ToggleVsync() : VideoDriver , VideoDriver_SDL_OpenGL
- ToggleWidgetLoweredState() : Window
- token : ClientNetworkGameSocketHandler , ClientNetworkStunSocketHandler , ClientNetworkTurnSocketHandler , NetworkAskRelayWindow , NetworkDirectConnecter , NetworkReuseStunConnecter
- tool_tip : NWidgetCore
- toolbar_caption : RailtypeInfo , RoadTypeInfo
- toolbar_pos : GUISettings
- tooltip : ButtonCommon , NWidgetPartDataTip
- top : Blitter::BlitterParams , ParentSpriteToDraw , TextfileWindow::Line , Viewport , ViewportSign , Window
- top_end : CargoesField
- total_bytes : BaseNetworkContentDownloadStatusWindow
- total_duration : OrderList
- total_files : BaseNetworkContentDownloadStatusWindow
- total_size : CursorVars , PacketWriter
- total_width : CompanyInfrastructureWindow
- TotalCount() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ > , StationCargoList , VehicleCargoList
- town : BaseStation , HouseScopeResolver , Industry , Object
- Town() : Town
- town : TownAuthorityWindow , TownViewWindow
- town_cargogen_mode : EconomySettings
- town_cn : Depot , Waypoint
- town_council_tolerance : DifficultySettings
- town_effect : CargoSpec
- town_growth_rate : EconomySettings
- town_layout : EconomySettings , FoundTownWindow
- town_name : GameCreationSettings
- town_noise_population : EconomySettings
- town_scope : IndustriesResolverObject , ObjectResolverObject , StationResolverObject , TownResolverObject
- town_size : FoundTownWindow
- townname_editbox : FoundTownWindow , TownDirectoryWindow
- TownNameParams() : TownNameParams
- townnameparts : FoundTownWindow
- TownNameSorter() : TownDirectoryWindow
- townnamevalid : FoundTownWindow
- TownPopulationSorter() : TownDirectoryWindow
- TownRatingSorter() : TownDirectoryWindow
- TownResolverObject() : TownResolverObject
- TownScopeResolver() : TownScopeResolver
- Tpf : CYapfBaseT< Types > , CYapfCostRailT< Types > , CYapfCostRoadT< Types > , CYapfCostShipT< Types > , CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationTileRoadT< Types > , CYapfDestinationTileT< Types > , CYapfDestinationTileWaterT< Types > , CYapfFollowAnyDepotRailT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfFollowRailT< Types > , CYapfFollowRoadT< Types > , CYapfFollowShipT< Types > , CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types > , CYapfReserveTrack< Types > , CYapfSegmentCostCacheGlobalT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheNoneT< Types > , CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- track_ns : RailtypeInfo
- track_y : RailtypeInfo
- trackdir : PBSTileInfo
- TrackFollower : CYapfCostRoadT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- tracking_number : ClientNetworkTurnSocketHandler , NetworkDirectConnecter , NetworkReuseStunConnecter
- tracknr : MusicSongInfo
- tractive_effort : RailVehicleInfo , RoadVehicleInfo
- Train() : Train
- train_acceleration_model : VehicleSettings
- train_signal_side : ConstructionSettings
- train_slope_steepness : VehicleSettings
- train_station : BaseStation
- traininfo_vehicle_pitch : GRFFile
- traininfo_vehicle_width : GRFFile
- tram : GRFLoadedFeatures
- tram_speed : TileDesc
- tramtype : TileDesc
- tramtype_list : GRFFile
- TransferIn() : Packet
- TransferOut() : Packet
- TransferOutMemCopy() : PacketReader
- TransferOutWithLimit() : Packet
- transfers : CargoDataEntry
- TransferToNetworkQueue() : PacketWriter
- Translate() : Rect
- translated : LangString
- translated_case : LangString
- translation : StringReader
- TranslationWriter() : TranslationWriter
- transport_name : BridgeSpec
- TransportTypeChar() : CYapfFollowAnyDepotRailT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfFollowRailT< Types > , CYapfFollowRoadT< Types > , CYapfFollowShipT< Types >
- Trash() : Backup< T >
- travel_time : Order
- travel_time_sum : LinkGraph::BaseEdge
- TravelTime() : LinkGraph::EdgeWrapper< Tedge >
- TreatFirstRedTwoWaySignalAsEOL() : CYapfOriginTileTwoWayT< Types >
- tree_frame_burst : ConstructionSettings
- tree_limit : CompanyProperties
- tree_per_64k_frames : ConstructionSettings
- tree_placer : GameCreationSettings
- tree_to_plant : BuildTreesWindow
- triggers : AnimationInfo
- trip_occupancy : Vehicle
- truck_station : Station
- truck_stops : Station
- TrueTypeFontCache() : TrueTypeFontCache
- Truncate() : StationCargoList , VehicleCargoList
- TryBuildNewIndustry() : IndustryBuildData
- TryMerge() : CargoList< Tinst, Tcont >
- TryNextAddress() : TCPConnecter
- TryPop() : CHashTableT< Titem_, Thash_bits_ >
- TryReservePath() : CYapfReserveTrack< Types >
- TryReverse() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- Tsize : FixedSizeArray< T, C >
- ttd_airport_type : AirportSpec
- tunnel : RailtypeInfo , RoadTypeInfo
- Turn() : ClientNetworkTurnSocketHandler
- turn_counter : Aircraft
- turn_handlers : ClientNetworkCoordinatorSocketHandler
- type : Airport , AllowedSubtags , BaseVehicle , CargoesField , CheatEntry , ChunkHandler , CommandInfo , ContentInfo
- Type : Driver
- type : DriverFactoryBase , EconomySettings , Engine , EngineIDMapping , Goal , GRFParameterInfo , IndustriesScopeResolver , Industry , IndustryCargoesWindow , IniGroup , LegendAndColour , LoggedChange , MakeEnumPropsT< Tenum_t, Tstorage_t, Tbegin, Tend, Tinvalid, Tnum_bits > , NewsItem , NWidgetBase , NWidgetPart , Object , OldChunks , Order , PoolBase , ServerAddress , SettingFilter , SpriteCache , SpriteLoader::Sprite , StoryPageElement , StringParameters , Tile , TownNameParams , UnmappedChoiceList , VehicleListIdentifier
- type_hides : SettingFilter
- TypeOrSelectedFilter() : NetworkContentListWindow
- types : ContentListFilterData
- Types : CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- TypeSorter() : NetworkContentListWindow